GLib-CRITICAL **: Source ID was not found when attempting to remove it - warning when leaving Network menu of g-c-c

Bug #1264368 reported by Tobiasz Jarczyk on 2013-12-26
438
This bug affects 90 people
Affects Status Importance Assigned to Milestone
AndroidSDK
New
Undecided
Unassigned
Banshee
New
Undecided
Unassigned
GParted
Unknown
Unknown
gnome-control-center
Incomplete
Medium
notification-daemon
New
Undecided
Unassigned
anjuta (Ubuntu)
Undecided
Unassigned
consolekit (Ubuntu)
Undecided
Unassigned
f-spot (Ubuntu)
Undecided
Unassigned
gnome-control-center (Ubuntu)
Low
Unassigned
putty (Ubuntu)
Undecided
Destech

Bug Description

Steps to recreate:
1. Open gnome-control-center in terminal.
2. Go to Network.
3. Go back to All preferences.
4. Notice that in terminal there is a warning:

$ gnome-control-center

(gnome-control-center:13519): GLib-CRITICAL **: Source ID 166 was not found when attempting to remove it

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: gnome-control-center 1:3.6.3-0ubuntu49
ProcVersionSignature: Ubuntu 3.12.0-7.15-generic 3.12.4
Uname: Linux 3.12.0-7-generic x86_64
ApportVersion: 2.12.7-0ubuntu3
Architecture: amd64
CurrentDesktop: GNOME
Date: Thu Dec 26 21:03:52 2013
InstallationDate: Installed on 2013-10-15 (71 days ago)
InstallationMedia: Ubuntu-GNOME 13.10 "Saucy Salamander" - Release amd64 (20131015)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=pl_PL.UTF-8
 SHELL=/bin/bash
SourcePackage: gnome-control-center
UpgradeStatus: Upgraded to trusty on 2013-11-05 (51 days ago)

Tobiasz Jarczyk (dotnokato-q) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed

I was able to reproduce the bug following the steps above.

C de-Avillez (hggdh2) wrote :

Now, for us to mark it triaged, we need an upstream bug to link to (in https://bugzilla.gnome.org/). Marked Low.

Changed in gnome-control-center (Ubuntu):
importance: Undecided → Low
C de-Avillez (hggdh2) wrote :

marking triaged.Thank you, blkperl.

Changed in gnome-control-center (Ubuntu):
status: Confirmed → Triaged
Changed in gnome-control-center:
importance: Unknown → Medium
status: Unknown → New
Changed in gnome-control-center:
status: New → Incomplete
Curtis Gedak (gedakc) wrote :

Messages of the form "GLib-CRITICAL **: Source ID 6 was not found when attempting to remove it" also occur when running GParted.

For example on Ubuntu GNOME 14.04 beta1:

$ sudo apt-get install gparted
$ sudo gparted
======================
libparted : 2.3
======================

(gpartedbin:2677): GLib-CRITICAL ** Source ID 7 was not found when attempting to remove it

(gpartedbin:2677): GLib-CRITICAL ** Source ID 6 was not found when attempting to remove it

(gpartedbin:2677): GLib-CRITICAL ** Source ID 26 was not found when attempting to remove it
...

I have only seen this occur with Ubuntu 14.04. My suspicion is that there might be a regression in GLib, or possibly a mismatch with GTK and GLib.

David R. Hedges (p14nd4) wrote :

After installing Ubuntu 14.04, I also get a ton of these messages when running banshee from a [gnome-]terminal, e.g.:
(Banshee:10804): GLib-CRITICAL **: Source ID 32103 was not found when attempting to remove it
(Banshee:10804): GLib-CRITICAL **: Source ID 32168 was not found when attempting to remove it
(Banshee:10804): GLib-CRITICAL **: Source ID 32209 was not found when attempting to remove it
(Banshee:10804): GLib-CRITICAL **: Source ID 32302 was not found when attempting to remove it
(Banshee:10804): GLib-CRITICAL **: Source ID 32369 was not found when attempting to remove it
(Banshee:10804): GLib-CRITICAL **: Source ID 32688 was not found when attempting to remove it

(They weren't present in 13.10.)

Ariel Faigon (ariel.faigon) wrote :

Also affecting console-kit-daemon:

Apr 21 18:15:22 xx console-kit-daemon[3357]: GLib-CRITICAL: Source ID 462 was not found when attempting to remove it
Apr 21 18:15:22 xx console-kit-daemon[3357]: GLib-CRITICAL: Source ID 48 was not found when attempting to remove it
Apr 21 18:15:22 xx console-kit-daemon[3357]: GLib-CRITICAL: Source ID 48 was not found when attempting to remove it
Apr 21 18:15:25 xx console-kit-daemon[3357]: GLib-CRITICAL: Source ID 469 was not found when attempting to remove it
Apr 21 18:15:25 xx console-kit-daemon[3357]: GLib-CRITICAL: Source ID 86 was not found when attempting to remove it
Apr 21 18:15:25 xx console-kit-daemon[3357]: GLib-CRITICAL: Source ID 86 was not found when attempting to remove it

In my case it started happening immediately after the upgrade from 13.10 to 14.04.

johnnyb0y (ubuntu64) wrote :

Exactly the same as Ariel's post above, lots of errors appearing on syslog:

Apr 22 19:20:09 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 427 was not found when attempting to remove it
Apr 22 19:20:24 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 436 was not found when attempting to remove it
Apr 22 19:20:39 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 445 was not found when attempting to remove it
Apr 22 19:20:55 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 454 was not found when attempting to remove it
Apr 22 19:21:10 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 463 was not found when attempting to remove it
Apr 22 19:21:25 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 472 was not found when attempting to remove it
Apr 22 19:21:40 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 481 was not found when attempting to remove it
Apr 22 19:21:56 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 490 was not found when attempting to remove it
Apr 22 19:22:11 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 499 was not found when attempting to remove it
Apr 22 19:22:26 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 508 was not found when attempting to remove it
Apr 22 19:22:41 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 517 was not found when attempting to remove it
Apr 22 19:22:56 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 526 was not found when attempting to remove it
Apr 22 19:23:12 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 535 was not found when attempting to remove it
Apr 22 19:23:27 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 544 was not found when attempting to remove it
Apr 22 19:23:42 R2D2 console-kit-daemon[879]: GLib-CRITICAL: Source ID 553 was not found when attempting to remove it

Ariel Faigon (ariel.faigon) wrote :

Quote from an upstream (bugzilla.gnome.org) comment:

https://bugzilla.gnome.org/show_bug.cgi?id=721369

    GLib recently started throwing a warning when g_source_remove()
    is passed garbage (as per warning). Your applications have probably been broken
    for a while, and there's no telling what could actually have happened in the
    past when g_source_remove() would happily close any random source because the
    programmer got the wrong argument to g_source_remove().

So if true, it looks like this should be reasssigned either to Glib, or to all the affected applications.

The problem isn't just the error (log pollution). When the error occurs, I see ssh sessions actually hang when console-kit-daemon prints the error. This is a regression in 14.04 vs 13.10.

srikar (ananthulasrikar-9) wrote :

Any update to solve this message ? I have hell lot of messages being displayed :(

Curtis Gedak (gedakc) wrote :

The upstream bug report for GParted can be found at the following link:

Bug number 729800 - Prevent GSource double-destroy warning messages
https://bugzilla.gnome.org/show_bug.cgi?id=729800

https://groups.google.com/forum/#!topic/vim_dev/Pmxb8swH1yE

Found this but dont know if this fixes it, I am getting the same error.

Can anyone confirm if this will work?

Eduardo Poleo (eduardopoleo) wrote :

Got the same error when opening files with Sublime text 2 from the console

(sublime_text:15984): GLib-CRITICAL **: Source ID 1231 was not found when attempting to remove it

kevjonesin (kevjonesin-x) wrote :

Same error with gparted. Multiple instances when launching and then again (multiple instances) while running a filesystem check.

example:

(gpartedbin:3683): GLib-CRITICAL **: Source ID 59 was not found when attempting to remove it

Jeffrey Flaker (jflaker) wrote :

I just started noticing this due to logging 2 systems' syslog.

This is happening quite frequently source is console-kit-daemon according the the syslogs being recorded.

Ariel Faigon (ariel.faigon) wrote :

Sorry I have to correct my comment #10 above.

I found the direct reason for my session hangs and they are unrelated to this Glib-CRITICAL messages. Just conincidental.

The Glib-CRITICAL errors are annoying and indicate some incorrect calls from various apps to Glib, but not a serious issue as far as I'm concerned.

Guy (guy-b) wrote :

Same here but with nemo, xfce4-weather-plugin and gthumb (till now) seens version 14.04.1 LTS :

(nemo:21047): GLib-GObject-WARNING **: /build/buildd/glib2.0-2.40.0/./gobject/gsignal.c:2580: instance '0xf33ae0' has no handler with id '135'

(nemo:21047): GLib-CRITICAL **: Source ID 139 was not found when attempting to remove it

(nemo:21047): GLib-CRITICAL **: Source ID 140 was not found when attempting to remove it

(nemo:21047): GLib-CRITICAL **: Source ID 141 was not found when attempting to remove it

(wrapper-1.0:10091): GLib-CRITICAL **: Source ID 210 was not found when attempting to remove it

Parag Dave (dave-parag85) wrote :

Yes, i also get same error when i will install Android SDK in eclipse in Ubantu.

[2014-09-10 14:02:24 - SDK Manager] [SDK Manager]
[2014-09-10 14:02:24 - SDK Manager] [SDK Manager] (Android SDK Manager:15641): GLib-CRITICAL **: Source ID 914 was not found when attempting to remove it
[2014-09-10 14:02:29 - SDK Manager] [SDK Manager]
[2014-09-10 14:02:29 - SDK Manager] [SDK Manager] (Android SDK Manager:15641): GLib-CRITICAL **: Source ID 1086 was not found when attempting to remove it
[2014-09-10 14:02:30 - SDK Manager] [SDK Manager]
[2014-09-10 14:02:30 - SDK Manager] [SDK Manager] (Android SDK Manager:15641): GLib-CRITICAL **: Source ID 1088 was not found when attempting to remove it
[2014-09-10 14:02:30 - SDK Manager] [SDK Manager]
[2014-09-10 14:02:30 - SDK Manager] [SDK Manager] (Android SDK Manager:15641): GLib-CRITICAL **: Source ID 1161 was not found when attempting to remove it

Guy (guy-b) wrote :

And iconsole-kit is affected to :

console-kit-daemon: <26>Oct 9 11:47:26 console-kit-daemon[915]: GLib-CRITICAL: Source ID 38 was not found when attempting to remove it

I'm seeing this when running Android SDK:

:$android

(Android SDK Manager:2500): GLib-CRITICAL **: Source ID 406 was not found when attempting to remove it

(Android SDK Manager:2500): GLib-CRITICAL **: Source ID 498 was not found when attempting to remove it

(Android SDK Manager:2500): GLib-CRITICAL **: Source ID 711 was not found when attempting to remove it

(Android SDK Manager:2500): GLib-CRITICAL **: Source ID 840 was not found when attempting to remove it

(Android SDK Manager:2500): GLib-CRITICAL **: Source ID 1159 was not found when attempting to remove it

martijn (martijnsmit01) wrote :

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 684 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 782 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 1464 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 1493 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 1603 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 1887 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 3106 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 3207 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 3584 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 3794 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 3892 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 4204 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 4541 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 4806 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 4814 was not found when attempting to remove it

(Android SDK Manager:8715): GLib-CRITICAL **: Source ID 4817 was not found when attempting to remove it
martijn@martijn-Ubuntu:~/workspace/Android/android-sdk-linux/tools$ ./android
(Android SDK Manager:8887): GLib-CRITICAL **: Source ID 968 was not found when attempting to remove it

(Android SDK Manager:8887): GLib-CRITICAL **: Source ID 1229 was not found when attempting to remove it

Changed in androidsdk:
assignee: nobody → martijn (martijnsmit01)
assignee: martijn (martijnsmit01) → nobody
Elliott Flood (esflood) wrote :

runnning sublime text 2 from console launchs the app but gives many error messages, which have to be terminated by control+c:

(sublime:3389): GLib-CRITICAL **: Source ID 1592 was not found when attempting to remove it

(sublime:3389): GLib-CRITICAL **: Source ID 1598 was not found when attempting to remove it

(sublime:3389): GLib-CRITICAL **: Source ID 2353 was not found when attempting to remove it

(sublime:3389): GLib-CRITICAL **: Source ID 2359 was not found when attempting to remove it

(sublime:3389): GLib-CRITICAL **: Source ID 3090 was not found when attempting to remove it
^C

These messages take a while to display. The app seems to work OK, but....

xuxiaoping (xiaoping378) wrote :

sudo putty &

putty also encounter this warning log in my PC 14.04.

(putty:6274): GLib-CRITICAL **: Source ID 658 was not found when attempting to remove it

But my another notebook 14.10 is OK.

Spurge (spurgeonbj) wrote :

parcellite -d &

(parcellite:3291): GLib-CRITICAL **: Source ID 338 was not found when attempting to remove it

parcellite doesnt work after recent upgrade

Vincent AURAT (vincent-aurat) wrote :

Same report as the one from David : https://bugs.launchpad.net/banshee/+bug/1264368/comments/7

Banshee is often freezing *and* the log shows :
(...)
(Banshee:2698): GLib-CRITICAL **: Source ID 43321 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 44499 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 43331 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 45507 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 42409 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 43322 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 46920 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 43338 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 42410 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 46886 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 47022 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 43320 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 45506 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 39445 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 46919 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 43329 was not found when attempting to remove it
(Banshee:2698): GLib-CRITICAL **: Source ID 45505 was not found when attempting to remove it
(etc...)
continuing to be filled like that even after the startup freezing which duration is from 3 to 5 minutes.

j de lima (jdelima307-ziggo) wrote :

running sysinfo in a terminal produced the following similar output:

(Sysinfo:8104): GLib-CRITICAL **: Source ID 3482 was not found when attempting to remove it
System.IO.DirectoryNotFoundException: Could not find a part of the path "/proc/driver/nvidia/cards/0".
  at System.IO.FileStream..ctor (System.String path, FileMode mode, FileAccess access, FileShare share, Int32 bufferSize, Boolean anonymous, FileOptions options) [0x00000] in <filename unknown>:0
  at System.IO.FileStream..ctor (System.String path, FileMode mode, FileAccess access, FileShare share) [0x00000] in <filename unknown>:0
  at (wrapper remoting-invoke-with-check) System.IO.FileStream:.ctor (string,System.IO.FileMode,System.IO.FileAccess,System.IO.FileShare)
  at System.IO.File.OpenRead (System.String path) [0x00000] in <filename unknown>:0
  at System.IO.StreamReader..ctor (System.String path, System.Text.Encoding encoding, Boolean detectEncodingFromByteOrderMarks, Int32 bufferSize) [0x00000] in <filename unknown>:0
  at System.IO.StreamReader..ctor (System.String path) [0x00000] in <filename unknown>:0
  at (wrapper remoting-invoke-with-check) System.IO.StreamReader:.ctor (string)
  at System.IO.File.OpenText (System.String path) [0x00000] in <filename unknown>:0
  at Sysinfo.NvidiaInfo.MainInfo () [0x00000] in <filename unknown>:0

is this a similar bug?

Soad (soad-online) on 2015-03-03
Changed in androidsdk:
assignee: nobody → Martijn (martijnb)
Soad (soad-online) on 2015-03-03
Changed in androidsdk:
assignee: Martijn (martijnb) → nobody
Tomislav (hefest) wrote :

Bless hex editor console output:

(bless:22793): GLib-CRITICAL **: Source ID 3888 was not found when attempting to remove it

(bless:22793): GLib-CRITICAL **: Source ID 3876 was not found when attempting to remove it

(bless:22793): GLib-CRITICAL **: Source ID 3880 was not found when attempting to remove it
...

Same issue?

ubuntu5cto (plusovatel) wrote :

run openbox menu

(openbox:5397): GLib-CRITICAL **: Source ID 255 was not found when attempting to remove it

(openbox:5397): GLib-CRITICAL **: Source ID 261 was not found when attempting to remove it

(openbox:5397): GLib-CRITICAL **: Source ID 283 was not found when attempting to remove it

Same problem while developing a program using python bindings of libextractor:

/usr/lib/python2.7/dist-packages/extractor.py:110: Warning: Source ID 2859 was not found when attempting to remove it
  libextractor.EXTRACTOR_extract (self.extractors, filename, data, size, EXTRACT_CB(proc), proc_cls)

I'm using Ubuntu 14.10

johnnyb0y (ubuntu64) wrote :

Occurring still on a different OS (new install of Linux Mint 17 this time) and over a year has passed since my previous post in April 2014:

Jun 12 12:20:13 R2D2 console-kit-daemon[1211]: GLib-CRITICAL: Source ID 202300 was not found when attempting to remove it
Jun 12 12:20:28 R2D2 console-kit-daemon[1211]: GLib-CRITICAL: Source ID 202311 was not found when attempting to remove it
Jun 12 12:20:44 R2D2 console-kit-daemon[1211]: GLib-CRITICAL: Source ID 202322 was not found when attempting to remove it
Jun 12 12:20:59 R2D2 console-kit-daemon[1211]: GLib-CRITICAL: Source ID 202333 was not found when attempting to remove it
Jun 12 12:21:15 R2D2 console-kit-daemon[1211]: GLib-CRITICAL: Source ID 202344 was not found when attempting to remove it
Jun 12 12:21:30 R2D2 console-kit-daemon[1211]: GLib-CRITICAL: Source ID 202355 was not found when attempting to remove it
Jun 12 12:21:45 R2D2 console-kit-daemon[1211]: GLib-CRITICAL: Source ID 202366 was not found when attempting to remove it

I get the feeling that this syslog spamming will never be fixed.

johnnyb0y (ubuntu64) wrote :

Perhaps the following observation may shed some light on the subject?

Jun 12 12:27:06 R2D2 console-kit-daemon[1211]: GLib-CRITICAL: Source ID 202598 was not found when attempting to remove it

At exactly the same time, my proftpd log reports a connection from a wireless webcam that uploads images to this host:

2015-06-12 12:27:06,533 R2D2 proftpd[12446] R2D2 (XENTA-WIFI-CAM[192.168.1.73]): FTP session opened.
2015-06-12 12:27:06,683 R2D2 proftpd[12446] R2D2 (XENTA-WIFI-CAM[192.168.1.73]): USER john: Login successful.
2015-06-12 12:27:06,854 R2D2 proftpd[12446] R2D2 (XENTA-WIFI-CAM[192.168.1.73]): ROOT PRIVS: unable to seteuid(): Operation not permitted
2015-06-12 12:27:06,855 R2D2 proftpd[12446] R2D2 (XENTA-WIFI-CAM[192.168.1.73]): ROOT PRIVS: unable to setegid(): Operation not permitted
2015-06-12 12:27:06,903 R2D2 proftpd[12446] R2D2 (XENTA-WIFI-CAM[192.168.1.73]): RELINQUISH PRIVS: unable to seteuid(PR_ROOT_UID): Operation not permitted
2015-06-12 12:27:06,903 R2D2 proftpd[12446] R2D2 (XENTA-WIFI-CAM[192.168.1.73]): FTP session closed.

I'm getting this with Banshee 2.6.2 running on Linux Mint 17.2 (based on ubuntu 14.04).

Tons (5-10 per track) of these when run from a shell:

(Banshee:21511): GLib-CRITICAL **: Source ID 7112 was not found when attempting to remove it

Shahrouz Raeisi (s-raeisi) wrote :

I am getting these since I have installed and started using Sublime on Ubuntu Server 14.04 ....

(sublime_text:3339): GLib-CRITICAL **: Source ID 12646 was not found when attempting to remove it

Has any solution found yet?

ruthan (ruthan) wrote :

Arch - Keyboard preferences add button:
(mate-keyboard-properties:652): GLib-CRITICAL **: Source ID 738 was not found when attempting to remove it

Damir (dnemcanin) wrote :

Hi!
When I login or logout with ssh I get this error:

Sep 18 11:43:30 se-1 console-kit-daemon[2060]: GLib-CRITICAL: Source ID 110 was not found when attempting to remove it

It's server without gdm so I just uninstalled consolekit, but still not sure why I get this error in first place

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in consolekit (Ubuntu):
status: New → Confirmed
Maxime Doyen (mdoyen) wrote :

Hi,

This seems also affect Anjuta, in ubuntu 15.10 (so with glib 2.416.1) more badly as this faulty let think sourceview that the file saved was just deleted.

If you open a file with anjuta dev studio, make a change, and save, you get a warning message: "The file xxx has been deleted on the disk. Do you ant to close it ?" [Deleted] [Cancel]
this is due to g_file_monitor_file that faulty report a G_FILE_MONITOR_EVENT_DELETED

at this very exact moment, when enable debug for glib with G_MESSAGE_DEBUG=all (otherwise it is silent), glib raise a
(anjuta:20012): GLib-CRITICAL **: Source ID 4909 was not found when attempting to remove it

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in anjuta (Ubuntu):
status: New → Confirmed
frankster (wtfrank) wrote :

I also get this "bug" about 10 times a day on a mythbuntu box that I barely even use! It could be coming from mythtv-frontend, lightdm, or a programme launched by lightdm.

Nov 12 01:39:24 mythtv console-kit-daemon[11843]: GLib-CRITICAL: Source ID 811 was not found when attempting to remove it

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in putty (Ubuntu):
status: New → Confirmed
Patrick Demonguères (pdemong) wrote :

I opened a bug #1528001 for f-spot package... may be I shoudn't have...

Jont Allen (jontalle) wrote :

Why is this not getting fixed. It is clearly more than a nuance at this point.
The priority needs to be raised. What would that take to happen?

Bump, this also happens when running the new Eclipse installer from the terminal (Oomph). Is this related to SWT? Should we report the bug to SWT?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in f-spot (Ubuntu):
status: New → Confirmed

any updates on that? I got same issue on sublime:

(sublime_text:5667): GLib-CRITICAL **: Source ID 12764 was not found when attempting to remove it

(sublime_text:5667): GLib-CRITICAL **: Source ID 19761 was not found when attempting to remove it

(sublime_text:5667): GLib-CRITICAL **: Source ID 21579 was not found when attempting to remove it

(sublime_text:5667): GLib-CRITICAL **: Source ID 21586 was not found when attempting to remove it

I'm getting this too. /var/log/syslog gets this:

Feb 17 11:17:01 redback console-kit-daemon[3481]: GLib-CRITICAL: Source ID 373 was not found when attempting to remove it

From reading this launchpad entry, I infer that it is a bug in each application that generates this. So perhaps my message should be reported against console-kit-daemon. Anyone know?

Destech (chides2012) wrote :

(putty:4128): GLib-CRITICAL **: Source ID 6419 was not found when attempting to remove it

Changed in putty (Ubuntu):
assignee: nobody → Destech (chides2012)

I have the same error within a test program using GtkTreeView + GtkTreeStore component from GTK+ 2. Thus, it seems to be a bug in GTK+.

Manfred Hampl (m-hampl) wrote :

@Dmitry:
Are you sure that you always have a valid id when calling g_source_remove(id), and that you call that function for each id only once?

David Hines (tamumath-david) wrote :

@Manfred you may have fix this problem in ConsoleKit2 on Oct 5, 2014. Is this related?
https://github.com/ConsoleKit2/ConsoleKit2/commit/0b79d92001450e7f359212d4273100628f6a1693

mike (jronpaul) wrote :

im seeing the same in syslog

uname -srv;cat /etc/issue
Linux 3.13.0-37-generic #64-Ubuntu SMP Mon Sep 22 21:28:38 UTC 2014
Linux Mint 17.1 Rebecca \n \l

Dec 18 16:26:08 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 11 was not found when attempting to remove it
Dec 18 16:26:08 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 25 was not found when attempting to remove it
Dec 18 16:26:32 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 44 was not found when attempting to remove it
Dec 18 16:26:32 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 59 was not found when attempting to remove it
Dec 18 16:32:44 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 98 was not found when attempting to remove it
Dec 18 16:33:49 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 104 was not found when attempting to remove it
Dec 18 16:33:49 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 71 was not found when attempting to remove it
Dec 18 16:33:49 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 71 was not found when attempting to remove it
Dec 18 21:55:52 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 117 was not found when attempting to remove it
Dec 18 21:56:51 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 152 was not found when attempting to remove it
Dec 18 21:56:59 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 165 was not found when attempting to remove it
Dec 18 21:56:59 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 177 was not found when attempting to remove it
Dec 18 21:58:44 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 199 was not found when attempting to remove it
Dec 18 21:58:44 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 209 was not found when attempting to remove it
Dec 18 21:58:44 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 190 was not found when attempting to remove it
Dec 18 21:58:44 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 190 was not found when attempting to remove it
Dec 18 21:58:44 backup-server console-kit-daemon[2243]: GLib-CRITICAL: Source ID 221 was not found when attempting to remove it

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.